> ## Documentation Index
> Fetch the complete documentation index at: https://docs.henrikdev.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Get MMR by name (v3)



## OpenAPI

````yaml https://api.henrikdev.xyz/openapi.json get /valorant/v3/mmr/{affinity}/{platform}/{name}/{tag}
openapi: 3.1.0
info:
  title: HenrikDev API
  description: ''
  license:
    name: ''
  version: 4.6.0
servers:
  - url: https://api.henrikdev.xyz
security: []
tags:
  - name: valorant
    description: Valorant public API endpoints
  - name: premium
    description: Premium account and webhook endpoints
paths:
  /valorant/v3/mmr/{affinity}/{platform}/{name}/{tag}:
    get:
      tags:
        - valorant
      summary: Get MMR by name (v3)
      operationId: get_mmr_v3_by_name
      parameters:
        - name: affinity
          in: path
          description: Region/affinity (e.g., na, eu, ap, kr)
          required: true
          schema:
            type: string
        - name: platform
          in: path
          description: Platform (pc, console)
          required: true
          schema:
            type: string
        - name: name
          in: path
          description: Riot ID name
          required: true
          schema:
            type: string
        - name: tag
          in: path
          description: Riot ID tag
          required: true
          schema:
            type: string
      responses:
        '200':
          description: MMR data retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MMRV3Response'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SendError'
        '404':
          description: Account not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SendError'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SendError'
components:
  schemas:
    MMRV3Response:
      type: object
      required:
        - status
        - data
      properties:
        data:
          $ref: '#/components/schemas/MMRV3Data'
        status:
          type: integer
          format: int32
          minimum: 0
    SendError:
      type: object
      required:
        - errors
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/APIError'
    MMRV3Data:
      type: object
      required:
        - account
        - current
        - seasonal
      properties:
        account:
          $ref: '#/components/schemas/MMRV3Account'
        current:
          $ref: '#/components/schemas/MMRV3Current'
        peak:
          oneOf:
            - type: 'null'
            - $ref: '#/components/schemas/MMRV3Peak'
        seasonal:
          type: array
          items:
            $ref: '#/components/schemas/MMRV3Seasonal'
    APIError:
      type: object
      required:
        - code
        - message
        - status
      properties:
        code:
          type: integer
          format: int32
          minimum: 0
        details: {}
        message:
          type: string
        status:
          type: integer
          format: int32
          minimum: 0
    MMRV3Account:
      type: object
      required:
        - name
        - tag
        - puuid
      properties:
        name:
          type: string
        puuid:
          type: string
        tag:
          type: string
    MMRV3Current:
      type: object
      required:
        - tier
        - rr
        - last_change
        - elo
        - games_needed_for_rating
        - rank_protection_shields
      properties:
        elo:
          type: integer
          format: int32
        games_needed_for_rating:
          type: integer
          format: int32
        last_change:
          type: integer
          format: int32
        leaderboard_placement:
          oneOf:
            - type: 'null'
            - $ref: '#/components/schemas/MMRV3LeaderboardPlacement'
        rank_protection_shields:
          type: integer
          format: int32
        rr:
          type: integer
          format: int32
        tier:
          $ref: '#/components/schemas/TierIdNameCombo'
    MMRV3Peak:
      type: object
      required:
        - season
        - ranking_schema
        - tier
        - rr
      properties:
        ranking_schema:
          type: string
        rr:
          type: integer
          format: int32
        season:
          $ref: '#/components/schemas/SeasonIdShortCombo'
        tier:
          $ref: '#/components/schemas/TierIdNameCombo'
    MMRV3Seasonal:
      type: object
      required:
        - season
        - wins
        - games
        - end_tier
        - end_rr
        - ranking_schema
        - act_wins
      properties:
        act_wins:
          type: array
          items:
            $ref: '#/components/schemas/TierIdNameCombo'
        end_rr:
          type: integer
          format: int32
        end_tier:
          $ref: '#/components/schemas/TierIdNameCombo'
        games:
          type: integer
          format: int32
        leaderboard_placement:
          oneOf:
            - type: 'null'
            - $ref: '#/components/schemas/MMRV3LeaderboardPlacement'
        ranking_schema:
          type: string
        season:
          $ref: '#/components/schemas/SeasonIdShortCombo'
        wins:
          type: integer
          format: int32
    MMRV3LeaderboardPlacement:
      type: object
      required:
        - rank
        - updated_at
      properties:
        rank:
          type: integer
          format: int32
          minimum: 0
        updated_at:
          type: string
    TierIdNameCombo:
      type: object
      required:
        - id
        - name
      properties:
        id:
          type: integer
          format: int32
        name:
          type: string
    SeasonIdShortCombo:
      type: object
      required:
        - id
        - short
      properties:
        id:
          type: string
        short:
          type: string

````